commit:     388c6378c41473a597e5eb686b1de375101005e6
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 17 10:09:45 2017 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Mon Jul 17 10:09:45 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=388c6378

dev-ml/uchar: bump to 0.0.2

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-ml/uchar/Manifest           |  1 +
 dev-ml/uchar/uchar-0.0.2.ebuild | 41 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-ml/uchar/Manifest b/dev-ml/uchar/Manifest
index da50db17801..ae3fcfc8b4f 100644
--- a/dev-ml/uchar/Manifest
+++ b/dev-ml/uchar/Manifest
@@ -1 +1,2 @@
 DIST uchar-0.0.1.tar.gz 23471 SHA256 
ac94116a35cbcf346c94b4326d03d382560fbae337b7a59794ad6e1a1a84c140 SHA512 
6bdc3646cb959af1a289e22f5202da2f3e3462b42a563ec4a999e96ba7b2d0c95e2d42ef06b35cd9c477eebfadef5bba4abdb60997faa7e6848aa6bcb5d729c2
 WHIRLPOOL 
7b043985fdc61aac63b1ba923006b40ef52552c0aad5f45d6be6f744b6d1cb1a7ce46d5dc647e59cd82fa5d243a8699bd44987871ef6c60874a31f231c36d2aa
+DIST uchar-0.0.2.tar.gz 21815 SHA256 
17ed7574c3244db9885903d4936d43d9fa3944b5e9330a3ebdb0bffceb694903 SHA512 
487a9706cf9dfc9b9c94442a51766cc211687d6ebcb4dd3c94d09cb1ed6d7fd61e966e91a4121fe2d1681b2fd6bfee9079d3bccccdb6d65ba2111524ab5dd1bc
 WHIRLPOOL 
3e8ee5252cc2ab81dd209cd99a22352c82c16e0756aea5b2d81dfaa697deedd5c02568646a431390b8485f27c825c92dff1d966c2a42abe8c2a9f9a0d997f266

diff --git a/dev-ml/uchar/uchar-0.0.2.ebuild b/dev-ml/uchar/uchar-0.0.2.ebuild
new file mode 100644
index 00000000000..74e9bd312cb
--- /dev/null
+++ b/dev-ml/uchar/uchar-0.0.2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit findlib
+
+DESCRIPTION="Uchar compatibility library"
+HOMEPAGE="https://github.com/ocaml/uchar";
+SRC_URI="https://github.com/ocaml/uchar/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc"
+IUSE="+ocamlopt"
+
+RDEPEND=">=dev-lang/ocaml-4.03:="
+DEPEND="${RDEPEND} dev-ml/ocamlbuild"
+
+# This is mostly a compat wrapper for older ocaml versions we don't support. No
+# need to test it, plus it fails when installing for the first time:
+# https://bugs.gentoo.org/show_bug.cgi?id=624144
+RESTRICT="test"
+
+src_compile() {
+       ocaml pkg/build.ml \
+               "native=$(usex ocamlopt true false)" \
+               "native-dynlink=$(usex ocamlopt true false)" || die
+}
+
+src_test() {
+       ocamlbuild -X src -use-ocamlfind -pkg uchar test/testpkg.native || die
+}
+
+src_install() {
+       # Can't use opam-installer here as it is an opam dep...
+       findlib_src_preinst
+       mv _build/pkg/META{.empty,} || die
+       ocamlfind install ${PN} _build/pkg/META || die
+       dodoc README.md CHANGES.md
+}

Reply via email to